GET Retrieve the service eligibility for a location
GET /checkServiceQualification
Retrieves the CheckServiceQualification object or a collection of CheckServiceQualification objects by using filters.
Responses
- 200
Success
Headers:
X-Result-Count(integer, required) Specifies the actual number of items returned in the response body.X-Total-Count(integer, required) Specifies the total number of items that match the criteria.
Media type:
application/json. Schema:CheckServiceQualification.Example
{ "id": "48", "description": "check service qualification for IP", "expectedQualificationDate": "2020-04-11T14:23:33.239Z", "qualificationResult": "qualified", "href": "http://serverlocation:port/serviceQualificationManagement/v4/checkServiceQualification/456", "externalId": "CSQ1", "expirationDate": "2020-04-24T19:20:39.239Z", "estimatedResponseDate": "2020-04-13T14:00:00.218Z", "effectiveQualificationDate": "2020-04-11T15:20:39.239Z", "checkServiceQualificationDate": "2020-04-10T19:20:39.239Z", "@type": "string", "@baseType": "string", "@schemaLocation": "string", "instantSyncQualification": true, "provideAlternative": true, "provideUnavailabilityReason": true, "relatedParty": [ { "id": "456", "href": "http://serverlocation:port/partyManagement/v4/party/456", "name": "Jean Pontus", "role": "Buyer contact", "@type": "RelatedParty", "@referredType": "Individual" } ], "serviceQualificationItem": [], "state": "accepted" } - 400
There was an issue with your request.
Media type:
application/json. Schema:Error.Example
code: "400" reason: Bad Request - 401
Authorization failed.
Media type:
application/json. Schema:Error.Example
code: "401" reason: Unauthorized - 403
Request forbidden.
Media type:
application/json. Schema:Error.Example
code: "403" reason: Forbidden - 404
Resource not found.
Media type:
application/json. Schema:Error.Example
code: "404" reason: Not Found - 405
Method not allowed.
Media type:
application/json. Schema:Error.Example
code: "405" reason: Method not allowed - 409
Resource conflict.
Media type:
application/json. Schema:Error.Example
code: "409" reason: Conflict - 500
Unable to complete the request as the server encountered an error.
Media type:
application/json. Schema:Error.Example
code: "500" reason: Unable to complete the request as the server encountered an error